Factory Environments API
Manage Factory Environments, provider sources, default selection, and build status and diagnostics.
List Factory Environments visible to the caller
List Factory Environments visible to the caller.
curl 'https://api.factory.ai/api/v0/environments' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Parameters
Responses
Allowed values
Allowed values
Allowed values
Allowed values
Allowed values
Allowed values
Allowed values
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Create a Factory Environment
Create a Factory Environment.
curl -X POST 'https://api.factory.ai/api/v0/environments' \
-H 'Authorization: Bearer $FACTORY_API_KEY' \
-H 'Content-Type: application/json' \
-d '{ ... }'Request body
All of the following apply
Allowed values
Allowed values
Responses
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
405Response for status 405
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
409Response for status 409
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List current Factory Environment build statuses
List current Factory Environment build statuses.
curl 'https://api.factory.ai/api/v0/environments/build-statuses' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Parameters
Responses
Allowed values
Allowed values
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Provision the organization default Factory Environment if none exists
Provision the organization default Factory Environment if none exists.
curl -X POST 'https://api.factory.ai/api/v0/environments/default' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Set the organization default Factory Environment
Set the organization default Factory Environment.
curl -X PUT 'https://api.factory.ai/api/v0/environments/default' \
-H 'Authorization: Bearer $FACTORY_API_KEY' \
-H 'Content-Type: application/json' \
-d '{ ... }'Request body
Responses
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
409Response for status 409
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List available Factory Environment sources
List available Factory Environment sources.
curl 'https://api.factory.ai/api/v0/environments/source-options' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Get a Factory Environment
Get a Factory Environment.
curl 'https://api.factory.ai/api/v0/environments/{environmentId}' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Parameters
Responses
Allowed values
Allowed values
Allowed values
Allowed values
Allowed values
Allowed values
Allowed values
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Delete a Factory Environment
Delete a Factory Environment.
curl -X DELETE 'https://api.factory.ai/api/v0/environments/{environmentId}' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Parameters
Responses
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
409Response for status 409
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Update a Factory Environment
Update a Factory Environment.
curl -X PATCH 'https://api.factory.ai/api/v0/environments/{environmentId}' \
-H 'Authorization: Bearer $FACTORY_API_KEY' \
-H 'Content-Type: application/json' \
-d '{ ... }'Parameters
Request body
All of the following apply
Responses
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
409Response for status 409
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Get Factory Environment Build Diagnostics
Get Factory Environment Build Diagnostics.
curl 'https://api.factory.ai/api/v0/environments/{environmentId}/build-diagnostics' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Parameters
Responses
Allowed values
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Retry a Factory Environment Build
Retry a Factory Environment Build.
curl -X POST 'https://api.factory.ai/api/v0/environments/{environmentId}/builds' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Parameters
Responses
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
409Response for status 409
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Cancel a Factory Environment Build
Cancel a Factory Environment Build.
curl -X POST 'https://api.factory.ai/api/v0/environments/{environmentId}/builds/{buildId}/cancel' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Parameters
Responses
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
409Response for status 409
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Get Factory Environment Build Diagnostics
Get Factory Environment Build Diagnostics.
curl 'https://api.factory.ai/api/v0/environments/{environmentId}/builds/{buildId}/diagnostics' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Parameters
Responses
Allowed values
400Response for status 400
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
403Response for status 403
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
404Response for status 404
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
503Response for status 503
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values